{
  "schema_version": "1.4.0",
  "id": "GHSA-xh3p-95gh-gc9x",
  "modified": "2025-04-20T03:31:31Z",
  "published": "2022-05-14T03:27:45Z",
  "aliases": [
    "CVE-2016-10159"
  ],
  "details": "Integer overflow in the phar_parse_pharfile function in ext/phar/phar.c in PHP before 5.6.30 and 7.0.x before 7.0.15 allows remote attackers to cause a denial of service (memory consumption or application crash) via a truncated manifest entry in a PHAR archive.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-10159"
    },
    {
      "type": "WEB",
      "url": "https://github.com/php/php-src/commit/ca46d0acbce55019b970fcd4c1e8a10edfdded93"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:1296"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=73764"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201702-29"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20180112-0001"
    },
    {
      "type": "WEB",
      "url": "https://www.tenable.com/security/tns-2017-04"
    },
    {
      "type": "WEB",
      "url": "http://php.net/ChangeLog-5.php"
    },
    {
      "type": "WEB",
      "url": "http://php.net/ChangeLog-7.php"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3783"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/95774"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1037659"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-01-24T21:59:00Z"
  }
}